<?php
// This is for Poedit.
function mariginari_rtb_poo() {
	$mariginari_plugin_name=__('redirect baseless tag', 'mariginari');
	$mariginari_plugin_description=__("Redirect /tag/:less 404:s to corresponding tag archive.", 'mariginari');
}

/*
*	Text Domain: mariginari
*    	Plugin URI: http://mummila.net/nuudelisoppa/mariginari-theme-for-wordpress/
* 	Author: Jani Uusitalo
* 	Author URI: http://mummila.net/
*	Plugin Name:redirect baseless tag
*   	Description: Redirect /tag/:less 404:s to corresponding tag archive
* 	Version: 9000
*
* 
*	This program is free software; you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation; either version 2 of the License, or
*	(at your option) any later version.
*	
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



function mariginari_rtb_redirect() {
	if ( !is_404() ) { 
		return;
	}

	$uri = $_SERVER["REQUEST_URI"];
	$siteuri = parse_url( get_option('siteurl') );
	$sitepath = $siteuri['path'];
	$sitepath_pat = str_replace('/','\/',$sitepath);

	// 'site/something(/page/somethingelse|/)?'
	$pat = '/^'.$sitepath_pat.'\/([^\/]*)(\/page\/.*|\/)?$/';
	if ( !preg_match($pat, $uri) ) {
		return;
	}

	$term = preg_replace( $pat, '$1', $uri);
	$term_exists = ( get_term_by('slug' , $term, 'post_tag')
		|| get_term_by('name' , $term, 'post_tag')
		|| get_term_by('slug' , $term, 'category')
		|| get_term_by('name' , $term, 'category')
	);
	if ( !$term_exists ) {
		return;
	}

	$uri = preg_replace( $pat, $sitepath.'/'.(get_option('tag_base') === false ? 'tag' : get_option('tag_base') ).'/$1$2', $uri);
	wp_redirect( $uri, 301 );
	exit;
}

add_action ('template_redirect', 'mariginari_rtb_redirect');

function mariginari_rtb_redirect_canonical($redirect, $request) {
	if ( is_404() ) {
		return false;
	}
	return $redirect;
}
add_filter( 'redirect_canonical', 'mariginari_rtb_redirect_canonical', 10, 2 );

?>
