<?php
// This is for Poedit.
function mariginari_rettweet_poo() {
	$mariginari_plugin_name=__('rettweet', 'mariginari');
	$mariginari_plugin_description=__('Provides template tags for retweeting and replying to posts tweeted by Twitter Tools.', 'mariginari');
}

/*
*	Text Domain: mariginari
*    	Plugin URI: http://mummila.net/nuudelisoppa/mariginari-theme-for-wordpress/
* 	Author: Jani Uusitalo
* 	Author URI: http://mummila.net/
*	Plugin Name: rettweet
*   	Description: Provides template tags for retweeting and replying to posts tweeted by Twitter Tools.
* 	Version: 9001
*
* 
*	This program is free software; you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation; either version 2 of the License, or
*	(at your option) any later version.
*	
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



// WP's the_title_attribute() is crap.
if (!function_exists('mariginari_get_the_title_attribute')) {
function mariginari_get_the_title_attribute() {
	$title = get_the_title();

	if ( strlen($title) == 0 )
		return;

	return esc_attr(strip_tags($title));
}
}

function mariginari_get_ttweet_id($post_id = false) {
	if (  ( $twitter_user = get_option('aktt_twitter_username') ) === false  ) return false;
	if (  ( $permalink = get_permalink() ) === false  ) return false;

	global $wpdb;
	$table = $wpdb->prefix.'ak_twitter';

	$sql = "
		SELECT tw_id FROM {$table}
		WHERE tw_text LIKE '%{$permalink}'
		LIMIT 1
	";
	$tweet_id = $wpdb->get_var($sql);
	if ( $tweet_id !== null ) {
		return $tweet_id;
	}

	if ($post_id == false) {
		$post_id = get_the_ID();
	}
	if (empty($post_id) || !$post_id) {
		return false;
	}
	$post = get_post($post_id);
		
	$prefix = get_option('aktt_tweet_prefix');
	$tweet = $prefix.': '.@html_entity_decode($post->post_title, ENT_COMPAT, 'UTF-8');
	$sql = "
		SELECT tw_id FROM {$table}
		WHERE tw_text LIKE '{$tweet}%'
		LIMIT 1
	";
	$tweet_id = $wpdb->get_var($sql);
	if ( $tweet_id !== null ) {
		return $tweet_id;
	}

	return false;
}

function mariginari_get_ttweet_reply_url($tweet = false) {
	if ($tweet === false) $tweet = mariginari_get_ttweet_id();
	if ($tweet === false) return '';
	if (  ( $twitter_user = get_option('aktt_twitter_username') ) === false  ) return '';
	return 'http://twitter.com/?status=@'.$twitter_user.'+&amp;in_reply_to_status_id='.$tweet.'&amp;in_reply_to='.$twitter_user;
}
function mariginari_get_ttweet_reply_link($anchor = false) {
	$url = mariginari_get_ttweet_reply_url();
	if (empty($url)) return '';
	if ($anchor === false) $anchor = __('Reply in Twitter', 'mariginari');
	$title = sprintf(__('Comment on %s using Twitter', 'mariginari'), mariginari_get_the_title_attribute());

	return '<a class="mariginari-ttweet-reply" href="'.$url.'" title="'.$title.'">'.$anchor.'</a>';
}
function mariginari_get_ttweet_reply_button() {
	$button = WP_PLUGIN_URL.'/'.plugin_basename(dirname(__FILE__)) . '/ttweet.png';
	return mariginari_get_ttweet_reply_link('<img src="'.$button.'" alt="'.__('Tweet', 'mariginari').'" width="16" height="16" />');
}

function mariginari_get_ttweet($tweet_id = false) {
	if ($tweet_id === false) $tweet_id = mariginari_get_ttweet_id();
	if ($tweet_id === false) return false;
	if (  ( $twitter_user = get_option('aktt_twitter_username') ) === false  ) return false;

	global $wpdb;
	$table = $wpdb->prefix.'ak_twitter';

	$sql = "
		SELECT tw_text FROM {$table}
		WHERE tw_id = '{$tweet_id}'
		LIMIT 1
	";
	$tweet = $wpdb->get_var($sql);
	if ( $tweet ===  null ) return false;

	return $tweet;
}
function mariginari_get_rettweet_url($tweet = false) {
	if ($tweet === false) $tweet = mariginari_get_ttweet_id();
	if ($tweet === false) return '';

	if (  ( $twitter_user = get_option('aktt_twitter_username') ) === false  ) return '';

	return 'http://twitter.com/home/?status=RT+@'.$twitter_user.':+'.str_replace( " ", "+", mariginari_get_ttweet($tweet) );
}
function mariginari_get_rettweet_link($anchor = false) {
	$url = mariginari_get_rettweet_url();
	if (empty($url)) return '';
	if ($anchor === false) $anchor = __('Retweet in Twitter', 'mariginari');
	$title = sprintf(__('Retweet %s', 'mariginari'), mariginari_get_the_title_attribute());

	return '<a class="mariginari-rettweet" href="'.$url.'" title="'.$title.'">'.$anchor.'</a>';
}
function mariginari_get_rettweet_button() {
	$button = WP_PLUGIN_URL.'/'.plugin_basename(dirname(__FILE__)) . '/recycle.png';
	return mariginari_get_rettweet_link('<img src="'.$button.'" alt="'.__('Retweet', 'mariginari').'" width="16" height="16" />');
}



?>
