<?php 
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');

	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'mariginari'); ?></p>
<?php
		return;
	}
?>



	<div class="section feedback">
		<div class="header">
			<div class="rss-link">
			<?php comments_rss_link(
				'<img src="'.get_bloginfo('template_url').'/images/rss.png"'
				.' alt="'.__('Comments RSS', 'mariginari').'" title="'.__('RSS feed for comments on this post', 'mariginari').'"'
				.' width="64" height="64" />'
			); ?>
			</div>
		</div>

	<?php if ( !empty($comments_by_type['comment']) ) : ?>
		<div class="section comments">
			<?php if ( get_option('page_comments') ) : ?>
			<div class="nav between comment-pages">
			<ul>
				<li class="prev"><?php previous_comments_link( __('Older Comments', 'mariginari') );?></li>
				<li class="next"><?php next_comments_link( __('Newer Comments', 'mariginari') ); ?></li>
			</ul>
			</div>
			<?php endif; ?>

			<ol class="comments">
				<?php wp_list_comments(array('type'=> 'comment','callback' => array($GLOBALS['mariginari'], 'list_comments'))); ?>
			</ol>

			<?php if ( get_option('page_comments') ) : ?>
			<div class="nav between comment-pages">
			<ul>
				<li class="prev"><?php previous_comments_link( __('Older Comments', 'mariginari') );?></li>
				<li class="next"><?php next_comments_link( __('Newer Comments', 'mariginari') ); ?></li>
			</ul>
			</div>
			<?php endif; ?>
		</div>
	<?php endif;?>

	<?php if ( !empty($comments_by_type['pings']) ) : ?>
		<div class="section backrefereces">
			<ol class="backrefereces">
				<?php wp_list_comments( array( 'type' => 'pings', 'callback' => array($GLOBALS['mariginari'], 'list_pings') )  ); ?>
			</ol>
		</div>
	<?php endif;?>

	<?php if('open' == $post->comment_status) : ?>
		<div class="section response" id="respond">

			<div class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></div>
			<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
			<fieldset>
			<legend><?php _e('Add Your Comment', 'mariginari'); ?></legend>
			<?php if (
				pings_open()
				|| function_exists('mariginari_get_ttweet_reply_link')
				|| function_exists('mariginari_get_rettweet_link')
			) : ?>
				<div class="aside alternatives">
					<?php if ( pings_open() ) : ?>
						<a href="<?php trackback_url();?>" rel="trackback"
							title="<?php _e('Pick the URI for sending a TrackBack to from this link', 'mariginari');
						?>"><?php _e('Send a TrackBack', 'mariginari'); ?></a>
					<?php endif;?>

					<?php if ( function_exists('mariginari_get_ttweet_reply_link') ) : ?>
						<?php echo mariginari_get_ttweet_reply_link(); ?>
					<?php endif;?>

					<?php if ( function_exists('mariginari_get_rettweet_link') ) : ?>
						<?php echo mariginari_get_rettweet_link(); ?>
					<?php endif;?>
				</div>
			<?php endif;?>
  <table>
    <tbody>

      <tr><!-- Gravatar & Identity Headers-->
<?php if (function_exists('gravbox')) : ?>
	<th class="gravatar"><?php _e('Your&nbsp;gravatar', 'mariginari'); ?></th>
	<th><?php _e('Your identity', 'mariginari'); ?></th>
<?php else : ?>
	<th><?php _e('Your identity', 'mariginari'); ?></th>
<?php endif; ?>
      </tr>

      <tr><!-- Gravatar & Identity containers-->
	<!-- Gravatar -->
<?php if (function_exists('gravbox')) : ?>
  <?php if ($user_ID) : ?>
	<!-- User is logged in, so use his gravatar. -->
	<td class="gravatar"><?php gravbox(); ?></td>
  <?php elseif( get_option('comment_registration') ) : ?>
	<!-- Login is required, but the user isn't logged in, so use the default 'undefined' gravatar from WP. -->
	<td class="gravatar"><?php echo get_avatar(''); ?></td>
  <?php else : ?>
	<!-- Update the gravatar according to identity. -->
	<?php
	$avatar = get_avatar('');
	$avatar = substr($avatar, strpos($avatar, "src='")+5);
	$avatar = substr($avatar, 0, strpos($avatar, "'"));
	?>
	<td id="gravboxcell" class="gravatar" style="background: url(<?php echo $avatar; ?>) no-repeat top left;"><?php gravbox(); ?></td>
  <?php endif; ?>
<?php endif; ?>

	<!-- Identity -->
  <?php if ($user_ID) : ?><!-- User is logged in. -->
	<td class="you-are logged-in"><?php printf(__('You are currently logged in as <a href="%s">%s</a>. [<a href="%s">Log out</a>]', 'mariginari'), get_option('siteurl').'/wp-admin/profile.php', $user_identity, wp_logout_url( get_permalink().'#respond' ) ); ?></td>

  <?php elseif( get_option('comment_registration') ) : ?><!-- User needs to log in to comment. -->
	<td class="you-are not-logged-in"><?php printf(  __('You need <a href="%s">log in</a> to post a comment.', 'mariginari'), get_bloginfo('url').'/wp-login.php?redirect_to='.urlencode( get_permalink() )  ); ?>	</td>

  <?php else : ?><!-- User isn't logged in and doesn't have to. -->
	<td class="you-are">
	    <table id="comment-user-details"><tbody>
	      <tr>
		<th style="width: 45%;"><label for="author"<?php if($req) echo ' class="required"'; ?>><?php printf( __('Your Name %s', 'mariginari'), $req ? ' <small>'.__('(required)', 'mariginari').'</small>'                               : '' ); ?></label></th>
		<th style="width: 45%;"><label for="email"<?php if($req) echo ' class="required"';?>><?php printf( __('Your Email Address %s', 'mariginari'), $req ? ' <small>'.__('(required but will not be published)', 'mariginari').'</small>' : '' ); ?></label></th>
	      </tr>
	      <tr>
		<td><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" style="width:93%;" /></td>
		<td><input type="text" name="email" id="email"   value="<?php echo $comment_author_email; ?>" style="width:93%;" /></td>
	      </tr>
	      <tr>
		<th><label for="url"><?php _e('Your Website Address', 'mariginari'); ?></label></th>
		<th><label for="fb-login"><?php _e('Alternative login using Facebook', 'mariginari'); ?></label></th>
	      </tr>
	      <tr>
		<td><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" style="width:93%;" /></td>
		<td><input type="hidden" name="fb-login" id="fb-login" value="foo" /><fb:login-button v="2" size="medium" onlogin="mariginari_sfc_update_user_details();"><?php _e('Connect with Facebook', 'mariginari'); ?></fb:login-button></td>
	      </tr>
	    </tbody></table>
        </td>

  <?php endif; ?>
      </tr>

      <tr><!-- Comment Header -->
	<th class="comment-header"<?php if (function_exists('gravbox')) echo ' colspan="2"'; ?>>
	  <label for="comment" class="textarea" style="margin:0 !important; padding:0 !important;"><span class="req"><?php _e('Comments <small>(required)</small>', 'mariginari'); ?></span>
<?php if ( !$GLOBALS['mariginari']->uses_wysiwyg_comments()) : ?>
	    <br /><small><?php _e('You can use the following <abbr title="eXtensible HyperText Markup Language">XHTML</abbr> tags:', 'mariginari'); ?> <code><?php echo allowed_tags(); ?></code></small>
<?php endif; ?>
	  </label>
	</th>
      </tr>

      <tr><!-- Comment editor-->
	<td<?php if (function_exists('gravbox')) echo ' colspan="2"'; ?>>
	  <textarea name="comment" id="comment" cols="112" rows="20"></textarea>
	</td>
      </tr>

    </tbody>
  </table>
<div class="footer"><input name="submit" type="submit" class="submit" value="<?php _e('Submit Comment', 'mariginari'); ?>" /> 
<?php do_action('comment_form', $post->ID); ?>
<?php comment_id_fields(); ?></div>
</fieldset>
</form>
</div>

<?php else : ?>
<p class="comments-closed"><strong><?php _e('Commenting on this post is currently closed.', 'mariginari'); ?></strong></p>
<?php endif;?>
	</div><!-- end feedback -->
