<?php
echo '@charset "UTF-8";'
?>
html {
	background:#ffffff none !important;
	color: #606060 !important;
}
.mceContentBody,
p {
	max-width:720px;
	background:#ffffff;
	font-family:Tahoma,Verdana, Arial, Helvetica, sans-serif;
	line-height: 1.5em;
}

* {
}

<?php
function mariginari_get_css($file) {
	$css_string = file_get_contents($file);
	if ($css_string === false) {
		return '';
	}
	$css_string = preg_replace('/@charset[^;]*;/','',$css_string);
	$css = '';
	while (  ( $css_include = strpos($css_string, "@include") ) !== false) {
		$css_include_end = strpos($css_string, ";", $css_include);
		if ($css_include_end === false) {
			return array();
		}
		$css_include_length = $css_include_end - ($css_include + strlen("@include"));
		$new_file = substr($css, $css_include + strlen("@include"), $css_include_length);
		$new_file = str_replace('"','',$new_file);
		$new_file = str_replace("'",'',$new_file);
		$new_file = trim($new_file);
		$new_css = mariginari_get_css($new_file);
		if ( !empty($new_css) ) {
			$css .= $new_css;
		}
		$css_string = substr($css_string, $css_include_end + 1);
	}
	$css .= $css_string;
	return $css;
}
echo mariginari_get_css("style.css");
echo mariginari_get_css("pink.css");
?>
