<?php
// This is for Poedit.
function mariginari_mummnu_poo() {
	$mariginari_plugin_name=__('mummilamenu', 'mariginari');
	$mariginari_plugin_description=__("Injects a sitewide navigation menu with nifty jQuery effects.", 'mariginari');
}

/*
*	Text Domain: mariginari
*    	Plugin URI: http://mummila.net/nuudelisoppa/mariginari-theme-for-wordpress/
* 	Author: Jani Uusitalo
* 	Author URI: http://mummila.net/
*	Plugin Name: mummilamenu
*   	Description: Injects a sitewide navigation menu with nifty jQuery effects.
* 	Version: 9001
*
* 
*	This program is free software; you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation; either version 2 of the License, or
*	(at your option) any later version.
*	
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



if (!is_admin()) {
	add_action('init', 'mummila_menu_init');
	add_action('wp_footer', 'mummila_menu');
}
function mummila_menu_init() {
	wp_enqueue_script("jquery-ui-core");
	wp_enqueue_style('getintothismenu', 'http://mummila.net/varasto/muut/getintothis.com/rb_menu.css', array(), false, 'screen');
	$ver = false;
	$in_footer = true;
	wp_enqueue_script('getintothismenu', 'http://mummila.net/varasto/muut/getintothis.com/rb_menu.js', array('jquery-ui-core'), $ver, $in_footer);
}
function mummila_menu($current = '') {
	if (empty($current)) {
		$current = str_replace('/','',parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH));
	}
	$root = 'Mummilan etusivu';
	$sections = array(
		'uutiset'=>'Uutiset',
		'nuudelisoppa'=>'Nuudelisoppa',
		'marginaali'=>'Marginaali',
		'kommentit'=>'Janin kommentit',
		'wiki'=>'Wiki'
	);
	?>
<div id="mummila-menu" class="mummila-menu clearfix">
  <div class="toggle"><a href="/" title="<?php echo $root; ?>">mummila</a>&nbsp;&#187;</div>  
  <div class="items">  
    <ul><?php
	foreach (array_keys($sections) as $section) {
		echo '
		<li'.($section == $current ? ' class="mummila-menu-current-item"' : '').'>';
		echo '<a href="/'.$section.'/" title="'.$sections[$section].'">'.$sections[$section].'</a>';
		echo '</li>';
	}
	echo '
';
	?>
    </ul>
  </div>
</div>
<script type="text/javascript">
jQuery('#mummila-menu').rb_menu({transition: 'swing', hideOnLoad: true, loadHideDelay: 0});
</script>
	<?php
}


?>
