<?php
// This is for Poedit.
function mariginari_referencss_poo() {
	$mariginari_plugin_name=__('referencss', 'mariginari');
	$mariginari_plugin_description=__('Provides a style sheet for using with references.', 'mariginari');
}

/*
*	Text Domain: mariginari
*    	Plugin URI: http://mummila.net/nuudelisoppa/mariginari-theme-for-wordpress/
* 	Author: Jani Uusitalo
* 	Author URI: http://mummila.net/
*	Plugin Name: referencss
*   	Description: Provides a style sheet for using with references.
* 	Version: 9001
*
* 
*	This program is free software; you can redistribute it and/or modify
*	it under the terms of the GNU General Public License as published by
*	the Free Software Foundation; either version 2 of the License, or
*	(at your option) any later version.
*	
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



// Generate style sheet.
if ($_GET['mariginaristyle'] == 'references') {
	header("Content-type: text/css");
	include("../../../wp-load.php");
	return mariginari_get_references_style();
}

// Hook up generated style sheet.
if (function_exists('add_action')) {
	add_action('wp_print_styles', 'mariginari_references_style');
}
function mariginari_references_style() {
	wp_enqueue_style('mariginari-references-style', WP_PLUGIN_URL.'/'.plugin_basename(__FILE__).'?mariginaristyle=references',array(), '9001', 'all');
}

function mariginari_get_references_style() {
?>@charset "UTF-8";
blockquote .referrer,
blockquote .source{
	white-space:nowrap;
	text-decoration:none !important;
	border-bottom:none !important;
	_border:1px solid #224466 !important;
	_padding:1px;
	_margin:1px
}
blockquote p.source {
	font-size:80%;
	white-space:normal;
	margin-top: 1em;
	margin-bottom: 0 !important;
	_border:none !important;
}
blockquote p.source + p,
blockquote p.source + p + p,
blockquote p.source + p + p + p {
	font-size:80%;
	margin-top: 0;
	margin-bottom: 0;
}

blockquote .referrer:before {
	content:"\21D0["
}
blockquote .source:before {
	content:"["
}
blockquote p.source:before {
	content:""
}

blockquote .referrer:after,
blockquote .source:after {
	content:"]"
}
blockquote p.source:after {
	content:""
}
<?php
}

?>
